/*Help interface at commandline
 *  
 */
import java.io.*;  
import java.util.Arrays;
import java.util.Scanner;  
       
    public class helpinterface {  
    public static void helpinterface_method() throws IOException
    {
    	 System.out.println("");
    	 System.out.println("Green Banana Scheduler for Multi-Processor systems with Communication Delays");
    	 System.out.println("-----------------------------------------------------------------------------");
    	 System.out.println("");
    	 
    	 System.out.println("java gb [-tc or -rbl or -shdrelaxed] [filename] [number_of_processors]");
    	 System.out.println("e.g. java gb -tc input_gxl_file.gxl 4");
    	 System.out.println("");

         System.out.println("java gb -gxlout input_gxl_file.gxl cplex_log_file.log  ");
    	 System.out.println("e.g. The output gxlfile is suffixed _result with the name of the cplex_log_file");
    	 System.out.println("");
    	 

         System.out.println("java gb -printschedule input_gxl_file cplex_log_file  ");
    	 System.out.println("e.g. java gb -printschedule input_gxl_file.gxl cplex_log_file.log  ");
    	 System.out.println("");
    	 

         System.out.println("java gb -batchprocess input_for_Cplex_LP_file.lp  [time integer in seconds,MAX=10^75]  ");
    	 System.out.println("e.g. java gb -batchprocess input_lp_file.lp  60  ");
    	 System.out.println("");
    	 
    	 System.out.println(" -classic        : Use CLASSIC");
    	 System.out.println(" -classiccompact : Use CLASSIC-COMPACT");
    	 System.out.println(" -packingusual   : Use PACKING-USUAL");
      	 System.out.println(" -packingcompact : Use PACKING-COMPACT");
    	 System.out.println(" -tc   	  	 : Use the Transitivity Clause ILP");
         System.out.println(" -rbl  	 	 : Use the Revised Boolean Logic ILP");
         System.out.println(" -shdbasic   	 : Use SHD-BASIC");
         System.out.println(" -shdrelaxed  	 : Use SHD-RELAXED");
         System.out.println(" -shdreduced  	 : Use SHD-REDUCED");
         System.out.println(" -batchprocess   : Creates a script for batch processing .lp files for CPLEX  ");
         System.out.println(" -gxlout	 : Convert CPLEX Output to gxl file");
    	 System.out.println(" -help           : Displays commandline help ");
    	 System.out.println(" -printschedule  : Print on screen the schedule ");
    	 
    	 
    
    	
    }
}
    	